<template>
  <AppPopover
    class="vinExample"
    :class="classes"
    :options="optionsPopoverVin">
    <div
      slot="tooltip-trigger"
      class="buttonQuestion">
      <img
        svg-inline
        src="~/assets/svg/redesign/question-mark.svg">
    </div>
    <template #tooltip-content>
      <a
        v-close-popover="true"
        class="tooltip-close">
        <img
          svg-inline
          src="~/assets/svg/redesign/cross.svg">
      </a>
      <!--<div class="tooltip-title">VIN/FRAME</div>
      <p class="paragraph">Номер указан в свидетельстве&nbsp;о&nbsp;регистрации транспортного&nbsp;средства</p>-->
      <div class="tooltip-img">
        <img
          src="~/assets/svg/redesign/vin_example.jpg"
          alt="VIN/FRAME">
      </div>
    </template>
  </AppPopover>
</template>

<script>
import AppPopover from '~/components/redesign/app-tooltip/app-popover';

export default {
  name: 'AppTooltipVinExample',
  components: {
    AppPopover,
  },
  props: {
    classes: {
      type: Array,
      default() {
        return [];
      },
    },
  },
  data() {
    return {
      optionsPopoverVin: {
        additionalClasses: ['tooltipWhite', 'tooltipVinExample'],
        placement: 'right-start',
        trigger: 'click',
        offset: 10,
      },
    };
  },
};
</script>

<style lang="postcss">
  .tooltipVinExample {
    margin-top: -3rem;

    .tooltip-title {
      padding-bottom: 0.25rem;
      font-size: 1rem;
      font-weight: var(--font-weight-medium);
      color: var(--link-color);
    }

    .tooltip-img {
      display: block;
      font-size: 0;
      border-radius: 0.125rem;
      box-shadow: 0 0 4px 2px rgba(0, 0, 0, 0.05);
      > img {
        width: 100%;
        height: auto;
      }
    }

    @media screen and (min-width: 981px) {
      width: 17vw;
      min-width: 15rem;
      max-width: 19rem;
      .tooltip-close {
        display: none;
      }
    }

    @media screen and (max-width: 980px) {
      position: fixed!important;
      top: auto!important;
      bottom: 0;
      right: 0;
      left: auto!important;
      margin: 0;
      width: 100vw;
      min-width: 20rem;
      max-width: 25rem;
      border-radius: 0;
      box-shadow: none;
      transform: none!important;

      .tooltip-close {
        position: absolute;
        top: 0;
        right: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        margin: -1rem;
        width: 3.75rem;
        height: 3.75rem;
        .svg {
          display: block;
          width: 1.25rem;
          height: 1.25rem;
          fill: var(--fill-light);
        }
      }
    }
  }
</style>
